<?php
use LabBase\Model\Brand;
use LabBase\Model\Image;
use LabBase\Model\User;

/** @var User $user
 *  @var Brand $brand
 */
$user = $this->sessionInfo()->getLoggedInUser();

$isBrandAdmin = isset($this->isBrandAdmin) ? $this->isBrandAdmin : false;

// Aliases for easy access
$brandName = null;
$brandUrl = null;

// When user is logged it and has avatar:
$userAvatarUrl = null;

if(isset($this->brand)) {
    $brand = $this->brand;
}else{
    $brand = null;
}

// brandName/brandUrl/brand
if(($this->BrandName && $this->BrandUrl) || $brand) { // Passed from controller?
    if($brand) {
        $brandName = $brand->name;
        $brandUrl = $brand->url;
    }else{
        $brandName = $this->BrandName;
        $brandUrl = $this->BrandUrl;
    }
}elseif($user) { // If not then maybe one is stuck with the user?
    // This is used for when logged in user goes to settings and is not visiting via
    // The brand page, but we still want to stick the top bar to the last visited brand
    if ($user->lastVisitedBrandId !== null) {
        /** @var Brand $brand */
        $brand = $this->sessionInfo()->getBrandById($user->lastVisitedBrandId);
        if ($brand) {
            $brandName = $brand->name;
            $brandUrl = $brand->url;
        }
    }
}

// userAvatarUrl (can be null)
if($user) {
    $userAvatarUrl = $this->imageLinker()->getUserAvatarLinkOrDefault($user);
}

$bannerUrl = $this->bannerUrl;
echo $this->doctype();
?>

<html lang="en">
<head>
    <meta charset="utf-8">
    <?= $this->headTitle(); ?>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="/css/bootstrap.css" rel="stylesheet">
    <link href="/css/jquery-ui.css" rel="stylesheet">
    <link href="/style.css" rel="stylesheet">
    <link rel="stylesheet" href="/css/flexslider.css" type="text/css" media="screen" />
    <link rel="stylesheet" href="http://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.4.0/css/font-awesome.min.css">
    <!-- <script src="/js/modal.js"></script>
    <script src="/js/dropdown.js"></script> -->
    <script src="/js/my.js"></script>

    <?= $this->headStyle() ?>

    <script>
        window.onGloabalJS = [];
        window.onFeedJS = [];

        window.g_fastAnimationSpeed = 120;
        window.g_animationSpeed = 300;
        window.g_slowAnimationSpeed = 500;

        // Data for feed layout:

        window.g_brand = <?= $brand ? $this->json($brand->getClientArray()) : 'null' ?>;

        window.g_user = <?= $user ? $this->json($user->getClientArray()) : 'null' ?>;

        window.g_isBrandAdmin = <?= $isBrandAdmin ? 'true' : 'false' ?>;

        onFeedJS.push(function() {
            feed.setActiveSegmentIndicator('<?= $this->segment ? $this->segment : 'landing' ?>', true);
        });
    </script>
    <?= $this->headScript() ?>
</head>
<body class="desktop<?= $this->brandLoved ? ' brand-loved' : '' ?>">

<!-- Facebook and Twitter SDK -->
<div id="fb-root"></div>
<script>
    // Facebook:
    (function(d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0];
        if (d.getElementById(id)) return;
        js = d.createElement(s); js.id = id;
        js.src = "//connect.facebook.net/en_GB/sdk.js#xfbml=1&appId=1050501688309785&version=v2.0";
        fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));

    // Twitter:
    window.twttr = (function(d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0],
            t = window.twttr || {};
        if (d.getElementById(id)) return;
        js = d.createElement(s);
        js.id = id;
        js.src = "https://platform.twitter.com/widgets.js";
        fjs.parentNode.insertBefore(js, fjs);

        t._e = [];
        t.ready = function(f) {
            t._e.push(f);
        };

        return t;
    }(document, "script", "twitter-wjs"));
</script>

<!-- Analytics -->
<script type="text/javascript">
    // Analytics
    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
            (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
    })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

    ga('create', 'UA-65304458-1', 'auto');
    ga('send', 'pageview');

    function getPageAnalURL() {
        var s = document.location.href.toString();
        s = s.slice(s.indexOf('//') + 2);
        return s.slice(s.indexOf('/')); // include the '/'
    }
</script>

<!-- For our javascript -->
<div id="dialogBox-container"></div>

<!-- For uploading images. Action needs to be dynamically changed. -->
<form id="imageUploadForm" onsubmit="$('.loading-container').show();" enctype="multipart/form-data" method="post" action="/" style="display: none;">
    <input id="imageFileInput" onchange="$(this).parent().submit()" type="file" name="image" accept="image/*" />
</form>

<div class="container-fluid" style="padding: 0;">

    <!-- Outer layout body -->
    <div class="col-md-12 col-sm-12">
        <div class="head withoutSpace vertical-root-padding top-bar-container">
            <div class="top-bar">

                <div class="search-bar" algin="center">
                    <form class="form-search" method="get" id="searchForm" action="<?= $this->url('search-brands'); ?>">
                        <div class="input-append">
                            <input id="searchFormInput" type="text" class="input-medium search-query" name="q" placeholder="SEARCH A BRAND" value="" onblur="searchAutocomplete(false); searchBlur(this);" onkeyup="searchAutocomplete(this); expandSearchBox(this);" autocomplete="off" data-padded-search="1"  onfocus="searchFocus(this);">
                            <a href="javascript:void(0);" onclick="if($('#searchFormInput').val().trim()) {$('#searchForm').submit();}else{$('#searchFormInput').val('').focus();}"><i class="fa fa-search" aria-hidden="true" style="color:#ccc; margin-left:-20px; margin-top:15px;"></i></a>
                        </div>
                    </form>
                </div>

                <div data-activation-target="true" class="brand-name">
                    <?php if($brandName) { // Link to brand if we are on brand page ?>
                        <a data-target-segment="landing" href="<?= $this->url('brand', ['url' => $brandUrl, 'segmentOrId' => 'landing']) ?>">
                            <div class="homelink-clickable-area">
                                <div class="top-homelink">
                                    <img src="/images/home_icon.png">
                                    <h1><?= $brandName ?></h1>
                                </div>
                            </div>
                        </a>
                    <?php }else{ ?>
                        <a href="<?= $this->url('homepage') ?>">
                            <div class="homelink-clickable-area">
                                <div class="top-homelink">
                                    <img class="lab_logo" src="/images/lab_logo.png">
                                </div>
                            </div>
                        </a>
                    <?php } ?>
                </div>

                <div class="right0 buttons">
                    <div class="socheader">

                        <?php if($user) { // Topbar icons - IF USER LOGGED IN ?>
                        <a data-target-segment="mybrands" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'mybrands']) ?>">
                            <img style="margin: 24px 0;" class="socimg" src="/images/full-heart.png"><div style="top: 43%;left: 6%;" class="red-dot hidden"></div>
                        </a>
                            <a class="dropdown-open" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><img class="socimg notification-icon" src="/images/nomail.png"></a>
                            <ul class="dropdown-menu notificationsMenuPart">
                                <div class="notifications">
                                    <p class="unreadNotificationsIndicator" style="display: none">You have <span class="unreadNotificationCounter"></span> unread messages</p>
                                    <ul class="notificationMenu notificationList">
                                        <!--
                                            <li><a href="#"><span>User notification</span><span class="notSpan">3 days ago</span></a></li>
                                        -->
                                    </ul>
                                    <a href="<?= $this->url('inbox') ?>"><p class="allMessages">Read all messages</p></a>
                                </div>
                            </ul>

                            <?php if(!$userAvatarUrl) { ?>
                                <div class="miniBlueBox letter-avatar">
                                <a href="#" class="dropdown-toggle dropdown-hook initials" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><?= $user->getAvatarInitials() ?></a>
                            <?php }else{ ?>
                                <div class="miniBlueBox image-avatar" style="background-image: url('<?= $userAvatarUrl ?>');" >
                                <a href="#" class="dropdown-toggle dropdown-hook" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">X</a>
                            <?php } ?>
                            <?php if(false) { ?> </div> <?php } // IDE fix ?>

                            <ul class="dropdown-menu">
                                <div class="profileOptions">
                                    <p class="user-name"><?= $user->fullName ?></p>
                                    <ul class="userMenu">
                                        <li><a href="<?= $this->url('not-implemented') ?>"><i class="fa fa-suitcase" aria-hidden="true"></i><span>Become a Professional</span></a></li>
                                        <li><a href="<?= $this->url('sign-up') ?>"><i class="fa fa-plus" aria-hidden="true"></i><span>Register new Brand</span></a></li>
                                        <li><a href="<?= $this->url('my-brand') ?>"><span class="glyphicon glyphicon-align-left" aria-hidden="true"></span><span>Manage my Brand</span></a></li>
                                        <li><a href="<?= $this->url('user-settings') ?>"><i class="fa fa-cog" aria-hidden="true"></i><span>Account Settings</span></a></li>
                                        <li>
                                            <!--<a href="<?//= $this->url('drafts') ?>">-->
                                            <a href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'drafts']) ?>">
                                                <i class="fa fa-download" aria-hidden="true"></i>
                                                <span>Saved Drafts</span>
                                                <span class="badge"><?php echo $this->totalDrafts; ?></span>
                                            </a>
                                        </li>
                                        <?php if($user->isAdmin()) { ?>
                                            <li><a href="<?= $this->url('admin-panel') ?>"><i class="fa fa-cog" aria-hidden="true"></i><span>Admin Panel</span></a></li>
                                        <?php } ?>
                                        <li><a href="<?= $this->url('sign-out', ['sessionId' => $user->sessionId]) ?>"><i class="fa fa-sign-out" aria-hidden="true"></i><span>Sign Out</span></a></li>
                                    </ul>

                                </div>
                            </ul>
                            </div>

                        <?php }else{ // Topbar icons - IF USER NOT LOGGED IN ?>

                            <?php
                            /** @var \Zend\Mvc\Router\RouteMatch $routeMatch */
                            $routeMatch = $this->getHelperPluginManager()->getServiceLocator()->get('Application')->getMvcEvent()->getRouteMatch();
                            $routeName = $routeMatch->getMatchedRouteName();
                            ?>

                            <?php if($routeName != 'sign-up') { ?><a href="<?= $this->url('sign-up') ?>" class="sign-in pull-right">Sign Up</a> <?php } ?>
                            <?php if($routeName != 'sign-in') { ?><a href="<?= $this->url('sign-in') ?>" class="sign-in pull-right">Sign In</a> <?php } ?>

                        <?php } // End of topbar icons ?>

                    </div>
                </div>

                <div class="clear"></div>
            </div>
        </div>
    </div>


    <noscript>
        <div class="col-md-12 col-sm-12">
            <div class="footer">
                <div class="lb1-inside">
                    This website requires JavaScript for proper functionality.
                    Please re-enable JavaScript.
                </div>
            </div>
        </div>
    </noscript>

    <div class="col-md-12 col-sm-12 vertical-root-padding">
        <div class="landing-header hidden">

            <?php if($bannerUrl) { ?>
                <div class="socialheader <?php if($this->isBrandAdmin) { ?>page-banner-change-button<?php } ?>">
                    <div class="banner-image-container image-frame cover-image">
                        <img class="banner-image" src="<?= $bannerUrl ?>" alt="Brand banner" />
                    </div>
                </div>
            <?php }else{ ?>
                <?php if($this->isBrandAdmin) { ?>
                    <div class="socialheader page-banner-change-button">
                        <h2 class="center-text">Upload Your Banner</h2>
                        <p  class="center-text">1920x480px</p>
                    </div>
                <?php }else{ ?>
                    <div class="socialheader">
                        <p  class="center-text">This brand doesn't have a banner yet.</p>
                    </div>
                <?php } ?>
            <?php } ?>

            <div class="header-brand-stats">
                <div class="header-brand-stats-container">
                    <ul>
                        <li class="stories_count">
                            <a href="#">
                                <span>STORIES</span><span class="badge"><?php echo $this->totalStories; ?></span>
                            </a>
                        </li>
                        <li class="brand_loving_count">
                            <a href="#">
                                <span>LOVING US</span><span class="badge"><?php echo $this->totalLoveingUs; ?></span>
                            </a>
                        </li>
                        <li class="brand_connected_count">
                            <a href="#">
                                <span>CONNECTED</span><span class="badge"><?php echo $this->totalConnect; ?></span>
                            </a>
                        </li>
                        <li class="story_loving_count">
                            <a href="#">
                                <span>LOVED STORIES</span><span class="badge"><?php echo $this->totalLovedStories; ?></span>
                            </a>
                        </li>
                    </ul>
                    <?php if(true) { ?>
                    <div class="float-right" style="margin-right: 5px">
                        <span class="dropdown connect_brand"><a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><button class="connected"><i class="fa fa-plus" aria-hidden="true"></i>Connect <span class="caret insideCaret"></span></button></a>
                            <span class="dropdown-menu lovePopup">
                                <div class="lovePop">
                                    <ul>
                                        <p>Connected with?</p>
                                        <li><a href="#"><img src="/images/unchecked.png"><span>Story</span></a></li>
                                        <li><a href="#"><img src="/images/unchecked.png"><span>Product</span></a></li>
                                        <li><a href="#"><img src="/images/checked.png"><span>Everything</span></a></li>
                                    </ul>
                                </div>
                            </span>
                        </span>
                        <button class="love-brand-button"><i class="fa fa-heart-o" aria-hidden="true"></i><span class="content"></span></button>
                        <div class="clear"></div>
                    </div>
                    <?php } ?>
                    <div class="clear"></div>
                </div>
            </div>
        </div>
        <div id="menu-main" class="feed-segment-menu full-width">
        <?php
            $brandMenu = array('home' => 'Home', 'stories' => 'Stories', 'gallery' => 'Photos & Videos', 'products' => 'Products', 'services' => 'Services', 'about' => 'About');
            if($brand->isPersonalPage())
            {
                $brandMenu = array('home' => 'Home', 'portfolio' => 'Portfolio', 'stories' => 'My story', 'gallery' => 'Photos & Videos', 'aboutme' => 'About Me');
            }
        ?>

            <ul>
                <?php foreach($brandMenu as $url => $name){ ?>
                    <li data-activation-target="true"><a data-target-segment="<?=$url?>" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => $url]) ?>"      ><span><?=$name?></span></a></li>
                <?php } ?>
                <?/*<li data-activation-target="true"><a data-target-segment="home"     href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'home']) ?>"      ><span>Home</span></a></li>
                <li data-activation-target="true"><a data-target-segment="stories"  href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'stories']) ?>"   ><span>Stories</span></a></li>
                <li data-activation-target="true"><a data-target-segment="gallery"  href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'gallery']) ?>"   ><span>Photos & Videos</span></a></li>
                <li data-activation-target="true"><a data-target-segment="products" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'products']) ?>"  ><span>Products</span></a></li>
                <li data-activation-target="true"><a data-target-segment="services" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'services']) ?>"  ><span>Services</span></a></li>
                <li data-activation-target="true"><a data-target-segment="about"    href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'about']) ?>"     ><span>About</span></a></li>*/?>
            </ul>
            <div class="clear"></div>
        </div>
        <div id="menu-mybrands" class="feed-segment-menu full-width hidden ">
            <div class="container">
                <div class="row menu-mybrands">
                    <div class="col-sm-12">
                        <div class="col-sm-3 menu-mybrands-left" style="text-align: left">My Loving Brands</div>
                        <div class="col-sm-5">
                            <div class="search-input">
                                <a href="javascript:void(0);" class="search_btn">
                                    <i class="fa fa-search" aria-hidden="true" style="color:#ccc; margin-left:-20px;"></i>
                                </a>
                                <input type="text" class="" name="q" value="" autocomplete="off" data-padded-search="1"  onfocus="this.value = ''">
                            </div>
                        </div>
                        <div class="col-sm-4 pull-right">
                            <div class="dropdown">
                                <button  type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <span>Latest</span>
                                    <span class="caret"></span>
                                </button>
                                <ul class="dropdown-menu" aria-labelledby="dLabel">
                                    <li><a data-value="0" href="javascript:void(0)">Latest</a></li>
                                    <li><a data-value="2" href="javascript:void(0)">Product</a></li>
                                    <li><a data-value="3" href="javascript:void(0)">History</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clear"></div>
        </div>

        <div class="section-container socialcontainer">

            <div id="dynamic-content-wrapper">
                <?= $this->content; ?>
            </div>

            <div class="clear"></div>
        </div>
        <div class="clear"></div>
    </div>


    <?php if($this->debug) { ?>
        <div class="clear"></div>
        <span class="debug-text-box">
            <?= $this->debug ?>
        </span>
        <div class="clear"></div>
    <?php } ?>
    <div class="col-md-12 col-sm-12 vertical-root-padding">
        <div class="footer">
            <div class="lb1-inside">
                <ul>
                    <li><a href="<?= $this->url('discovery') ?>"><span>Featured Brands</span></a></li>
                    <li><a href="#"><span>Inside Love a Brand Terms</span></a></li>
                    <li><a href="#"><span>Contact Us</span></a></li>
                    <li class="noSpace"><a href="#"><span>Help</span></a></li>
                </ul>
            </div>
        </div>
    </div>

</div>

<span id="searchAutocompleteDropdown" class="raw dropdownMenu">
    <div id="searchAutocompleteLinkContainer">
        <i>No results found</i>
    </div>
</span>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="/js/jquery-ui.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/Sortable/1.4.2/Sortable.min.js"></script>
<script src="/js/hideit.js"></script>
<script src="/js/bootstrap.js"></script>
<script defer src="/js/jquery.flexslider.js"></script>

<script src="/js/global.js"></script>
<script src="/js/feed.js"></script>
<script>
    $('.search-input').click(function () {
       $('.search-input input')
           .css('transform', 'scaleX(1)')
           .focus();
    });

    $('.search-input input').blur(function () {
        $('.search-input input')
            .css('transform', 'scaleX(0)');
    })
</script>

<?= $this->inlineScript() ?>
<script type="text/javascript">
    /*var _$comment_btn;
    var _$aside_panel;
    var _$content;
    var aside_panel_showing = false;
    var $container_viewer = $('.fs-slider');

    _$comment_btn = $container_viewer.find(".fs-comment-btn");
    _$aside_panel = $container_viewer.find(".aside_panel");
    _$content = $container_viewer.find(".fs-container");*/

    //$container_viewer.on("click", ".fs-comment-btn", _toggleCommentPanel);

    function fs_comment_box(obj)
    {
        _toggleCommentPanel(obj);
    }

    function _toggleCommentPanel(obj) {
        /*if (aside_panel_showing) {
            _hideCommentPanel()
        } else {*/
            _showCommentPanel();
            var postid = $(obj).attr('data-postid');
            if(postid > 0)
            {
                loadCommentsPopup(postid, 3);
            }
        /*}*/
    }
    function _showCommentPanel() {
        _$comment_btn.addClass("active");
        _$content.addClass("aside_panel_active");
        aside_panel_showing = true;
        window.setTimeout(function() {
            //_$file_comment_input.focus()
        }, 250)
    }
    function _hideCommentPanel() {
        _$comment_btn.removeClass("active");
        _$content.removeClass("aside_panel_active");
        aside_panel_showing = false;
        window.setTimeout(function() {
            _$comment_btn.blur()
        }, 250)
    }
</script>
</body>

</html>